Page MenuHomePhabricator

engine: pass upgrade operation inside _clonerevlogs()
ClosedPublic

Authored by pulkit on Dec 30 2020, 6:53 AM.

Details

Summary

Better to pass the operation instead of passing three of it's members (one of
the them is a function call) separately.

This will also be useful in future when we will like to control which things are
upgraded.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pulkit created this revision.Dec 30 2020, 6:53 AM
marmoute accepted this revision.Jan 7 2021, 8:45 PM
mharbison72 accepted this revision.Jan 12 2021, 6:45 PM
This revision is now accepted and ready to land.Jan 12 2021, 6:45 PM
This revision was automatically updated to reflect the committed changes.